## com.ibatis.jpetstore.persistence.sqlmapdao
Class ProductSqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
                  com.ibatis.jpetstore.persistence.sqlmapdao.ProductSqlMapDao

All Implemented Interfaces:
  com.ibatis.dao.client.Dao, ProductDao, com.ibatis.sqlmap.client.SqlMapExecutor

public class ProductSqlMapDao
extends BaseSqlMapDao
implements ProductDao

Nested Class Summary
`static class` `ProductSqlMapDao.ProductSearch`

Field Summary

Fields inherited from class com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
`PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`ProductSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Method Summary
`Product` `getProduct(String productId)`
`com.ibatis.common.util.PaginatedList` `getProductListByCategory(String categoryId)`
`com.ibatis.common.util.PaginatedList` `searchProductList(String keywords)`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductSqlMapDao

    public ProductSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Method Detail

### getProductListByCategory

    public com.ibatis.common.util.PaginatedList getProductListByCategory(String categoryId)

  Specified by:
    `getProductListByCategory` in interface `ProductDao`

### getProduct

    public Product getProduct(String productId)

  Specified by:
    `getProduct` in interface `ProductDao`

### searchProductList

    public com.ibatis.common.util.PaginatedList searchProductList(String keywords)

  Specified by:
    `searchProductList` in interface `ProductDao`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.